'''
-----------------------------------------------------------------------------
 Two dimensional submodel symmetric double edged notch specimen (elastic
 plastic material) modeled using hybrid reduced integration plane stress
 elements (CPE8RH).
 Submit the job: 2DDoubleEdPlasSubCPE8RH
-----------------------------------------------------------------------------
'''

from abaqus import *
from abaqusConstants import *

import part, material, section, assembly, step, interaction
import regionToolset, displayGroupMdbToolset as dgm, mesh
import load, job

#----------------------------------------------------------------------------

# Open the CAE model and create a viewport for viewing it.

Mdb()
subModelName = '2DDoubleEdPlasSubCPE8RH'
openMdb(subModelName)
mySubModel = mdb.models[subModelName]
myAssembly = mySubModel.rootAssembly
myViewport = session.Viewport(name=subModelName)
myViewport.makeCurrent()
myViewport.maximize()
myViewport.setValues(displayedObject=myAssembly)

#---------------------------------------------------------------------------

# Submit the job for analysis

mdb.jobs[subModelName].submit()
mdb.jobs[subModelName].waitForCompletion()

#---------------------------------------------------------------------------
